Bug Hunting Session
Bug 60242 - TABLE: Split cell default choice
Summary: TABLE: Split cell default choice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: All All
: lowest enhancement
Assignee: Martin van Zijl
URL:
Whiteboard: BSA target:6.3.0
Keywords: needsUXEval
Depends on:
Blocks: Cell-Management
  Show dependency treegraph
 
Reported: 2013-02-03 16:38 UTC by Yann Papouin
Modified: 2019-03-27 15:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
A video demo of my patch. (1.63 MB, image/gif)
2018-12-25 18:11 UTC, Martin van Zijl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yann Papouin 2013-02-03 16:38:45 UTC
Problem description: 

Steps to reproduce:
1. Choose to split a cell in a table
2. The cell window shows up with a split count of two and a radio group with Horizontally selected by default

Current behavior:
Horizontally is selected by default

Expected behavior:
Vertically is selected by default

I don't known why it is always upset me, maybe because in MS Office we just have a two spin edit with the number of columns set to 2 by default (like Horizontally set by default)
              
Operating System: Windows 7
Version: 3.4.1 release
Comment 1 Tim Lloyd 2013-03-05 04:36:13 UTC
Reproduced in Windows 7 and Fedora 18. Not a bug. Difference of functionality between MS Word  and LO Writer as described below. 

User wants LO Writer to default to vertical rather than horizontal when splitting cell within a table.
Comment 2 Martin van Zijl 2018-12-25 18:11:41 UTC
Created attachment 147816 [details]
A video demo of my patch.

I've created a patch which lets you select whether to split cells vertically by default. 

Attached is a demo.

I'm planning to submit the code for review later today.
Comment 3 Martin van Zijl 2018-12-25 19:10:04 UTC
(In reply to Martin van Zijl from comment #2)
> Created attachment 147816 [details]
> A video demo of my patch.
> 
> I've created a patch which lets you select whether to split cells vertically
> by default. 
> 
> Attached is a demo.
> 
> I'm planning to submit the code for review later today.

In case the video isn't clear, to activate the option you would do the following:

1. Select "Tools --> Options".
2. Expand the "LibreOffice Writer" section.
3. Click "Table".
4. Check the box at the bottom labelled "Split cells vertically by default".
5. Click "OK".

Now when you open the Split Cells dialog, vertically will be selected by default.

I also added a similar option for "LibreOffice Writer/Web".
Comment 4 Heiko Tietze 2018-12-30 14:15:48 UTC
(In reply to Martin van Zijl from comment #2)
> I've created a patch which lets you select whether to split cells vertically
> by default. 

Looks good from the video. The option is a bit of an overkill but makes people happy. Feel free to add me as a reviewer for the patch.
Comment 5 Rizal Muttaqin 2019-01-02 21:43:30 UTC
(In reply to Martin van Zijl from comment #3)
> (In reply to Martin van Zijl from comment #2)
> > Created attachment 147816 [details]
> > A video demo of my patch.
> > 
> > I've created a patch which lets you select whether to split cells vertically
> > by default. 
> > 
> > Attached is a demo.
> > 
> > I'm planning to submit the code for review later today.
> 
> In case the video isn't clear, to activate the option you would do the
> following:
> 
> 1. Select "Tools --> Options".
> 2. Expand the "LibreOffice Writer" section.
> 3. Click "Table".
> 4. Check the box at the bottom labelled "Split cells vertically by default".
> 5. Click "OK".
> 
> Now when you open the Split Cells dialog, vertically will be selected by
> default.
> 
> I also added a similar option for "LibreOffice Writer/Web".

Cool. Would be nice if the option is provided by the split cell dialogue itself. For example add a extra cheklist "Set as default".
Comment 6 Heiko Tietze 2019-01-03 11:31:56 UTC
(In reply to Rizal Muttaqin from comment #5)
> Cool. Would be nice if the option is provided by the split cell dialogue
> itself. For example add a extra cheklist "Set as default".

The more options you have the less easy a dialog is to use. Why not just remember the last choice (and do this by default on similar occasions, eg. bug 122362)?
Comment 7 Jan-Marek Glogowski 2019-01-27 21:58:42 UTC
(In reply to Heiko Tietze from comment #6)
> (In reply to Rizal Muttaqin from comment #5)
> > Cool. Would be nice if the option is provided by the split cell dialogue
> > itself. For example add a extra cheklist "Set as default".
> 
> The more options you have the less easy a dialog is to use. Why not just
> remember the last choice (and do this by default on similar occasions, eg.
> bug 122362)?

And maybe also go with the MS approach with two spin edits, so one can split a cell in whatever vertical and horizontal cells in one go?
The bug has "needsUXEval" for some reason.
Next person wants to change the default number of cells.

OTOH I don't care much and have no idea what the "default" user would expect. Almost feels like bike-shedding...
Comment 8 Martin van Zijl 2019-02-18 06:34:00 UTC
I've modified the patch so that it remembers the previous choice (as per comment #6 above). 

i.e. If you choose "vertical" in the split cell dialog and click OK, the next time you use the dialog, "vertical" will be selected by default. (Same goes for "horizontal".)

I removed the new check-box from the Options dialog.

I hope that is self-explanatory. I will try to upload a new demo and submit the updated patch for review later today.
Comment 9 Commit Notification 2019-03-27 15:56:23 UTC
Martin van Zijl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a80317b602e175f780cd662b5526a538d053419a%5E%21

tdf#60242 remember horizontal/vertical choice in split cells dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.